=== debian/changelog ===
pagetools (0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/control: depend on netpbm11 now
  * add patch netpbm11.patch (Closes: #1012690)
    (Thanks to Santiago Vila for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Nov 2024 22:03:02 +0100

pagetools (0.1-3) unstable; urgency=medium

  * Migrate to salsa.debian.org with dgit-maint-merge workflow
    - drop existing quilt patch queue
    - Configure source package for dgit
    - Add Vcs-git and Vcs-browser to d/control
  * Bump Std-Ver to 4.1.3, no changes needed
  * Bump debhelper compat level to 11
  * Update URLS to https
  * Add autopkgtest tests for simple usage

 -- Víctor Cuadrado Juan <me@viccuad.me>  Fri, 05 Jan 2018 20:20:52 +0100

pagetools (0.1-2) unstable; urgency=medium

  * Enable hardening buildflags
  * Update to Std-Ver 3.9.7

 -- Víctor Cuadrado Juan <me@viccuad.me>  Tue, 05 Apr 2016 02:12:33 +0200

pagetools (0.1-1) unstable; urgency=low

  * Initial release. Closes: #797354.

 -- Víctor Cuadrado Juan <me@viccuad.me>  Sun, 06 Sep 2015 12:00:14 +0200
