=== debian/control ===
Source: pagetools
Section: graphics
Priority: optional
Maintainer: Víctor Cuadrado Juan <me@viccuad.me>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11), libnetpbm11-dev, libtiff5-dev
Homepage: https://sourceforge.net/projects/pagetools/
Vcs-Git: https://salsa.debian.org/viccuad-guest/pagetools.git
Vcs-Browser: https://salsa.debian.org/viccuad-guest/pagetools

Package: pagetools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatic deskew and bounding box determination for scanned page images
 This program determines the skew angle for text, and works with
 black/white images in TIFF or PBM format. To achieve this, it uses
 an original algorithm based on a fast implementation of the Radon
 transform. This program is part of the Page Layout Detection Tools
 project, which aims to automate the layout detection in scanned
 page images.
