=== debian/tests/control ===
Test-Command: [[ $(pbm_findskew debian/tests/examples/fax2d.pbm) == "-0.419639" ]]
Depends: @

Test-Command: [[ $(tiff_findskew debian/tests/examples/fax2d.tif) == "-0.419639" ]]
Depends: @
